Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.taglibs.authz
Class AuthorizeTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.acegisecurity.taglibs.authz.AuthorizeTag

All Implemented Interfaces:
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class AuthorizeTag

extends javax.servlet.jsp.tagext.TagSupport

An implementation of `Tag` that allows it's body through if some authorizations are granted to the request's principal.

Version:
  $Id: AuthorizeTag.java,v 1.13 2005/11/17 00:56:29 benalex Exp $
Author:
  Francois Beausoleil
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AuthorizeTag()`

Method Summary
`int` | `doStartTag()`
`String` | `getIfAllGranted()`
`String` | `getIfAnyGranted()`
`String` | `getIfNotGranted()`
`void` | `setIfAllGranted(String ifAllGranted)`
`void` | `setIfAnyGranted(String ifAnyGranted)`
`void` | `setIfNotGranted(String ifNotGranted)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizeTag

    public AuthorizeTag()

Method Detail

### setIfAllGranted

    public void setIfAllGranted(String ifAllGranted)
                         throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### getIfAllGranted

    public String getIfAllGranted()

### setIfAnyGranted

    public void setIfAnyGranted(String ifAnyGranted)
                         throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### getIfAnyGranted

    public String getIfAnyGranted()

### setIfNotGranted

    public void setIfNotGranted(String ifNotGranted)
                         throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### getIfNotGranted

    public String getIfNotGranted()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.